This is a scraper that runs on Morph. To get started see the documentation

Contributors tmtmtmtm ondenman

Last run failed with status code 1.

Console output of last run

Injecting configuration and compiling...  -----> Ruby app detected -----> Compiling Ruby -----> Using Ruby version: ruby-2.3.3 -----> Installing dependencies using bundler 1.15.2  Running: bundle install --without development:test --path vendor/bundle --binstubs vendor/bundle/bin -j4 --deployment  Warning: the running version of Bundler (1.15.2) is older than the version that created the lockfile (1.16.2). We suggest you upgrade to the latest version of Bundler by running `gem install bundler`.  Fetching gem metadata from https://rubygems.org/.........  Fetching version metadata from https://rubygems.org/..  Fetching dependency metadata from https://rubygems.org/.  Fetching https://github.com/everypolitician/everypolitician-ruby.git  Fetching https://github.com/openc/sqlite_magic.git  Fetching https://github.com/openaustralia/scraperwiki-ruby.git  Fetching https://github.com/everypolitician/wikisnakker.git  Fetching https://github.com/everypolitician/wikidata-fetcher.git  Fetching activesupport-inflector 0.1.0  Fetching ast 2.4.0  Using bundler 1.15.2  Fetching coderay 1.1.2  Installing ast 2.4.0  Installing activesupport-inflector 0.1.0  Installing coderay 1.1.2  Fetching colorize 0.8.1  Fetching concurrent-ruby 1.0.5  Installing colorize 0.8.1  Fetching diskcached 1.1.3  Fetching unf_ext 0.0.7.5  Installing unf_ext 0.0.7.5 with native extensions  Installing concurrent-ruby 1.0.5  Fetching require_all 2.0.0  Installing diskcached 1.1.3  Fetching excon 0.62.0  Installing require_all 2.0.0  Fetching multipart-post 2.0.0  Installing excon 0.62.0  Installing multipart-post 2.0.0  Fetching hashie 3.5.7  Installing hashie 3.5.7  Fetching httpclient 2.8.3  Fetching jaro_winkler 1.5.1  Installing jaro_winkler 1.5.1 with native extensions  Installing httpclient 2.8.3  Fetching json 2.1.0  Installing json 2.1.0 with native extensions  Fetching method_source 0.9.0  Installing method_source 0.9.0  Fetching mime-types-data 3.2016.0521  Installing mime-types-data 3.2016.0521  Fetching mini_portile2 2.3.0  Installing mini_portile2 2.3.0  Fetching netrc 0.11.0  Installing netrc 0.11.0  Fetching open-uri-cached 0.0.5  Installing open-uri-cached 0.0.5  Fetching parallel 1.12.1  Installing parallel 1.12.1  Fetching powerpack 0.1.2  Installing powerpack 0.1.2  Fetching rainbow 3.0.0  Installing rainbow 3.0.0  Fetching ruby-progressbar 1.10.0  Installing ruby-progressbar 1.10.0  Fetching unicode-display_width 1.4.0  Installing unicode-display_width 1.4.0  Fetching sqlite3 1.3.13  Installing sqlite3 1.3.13 with native extensions  Fetching yajl-ruby 1.4.1  Installing yajl-ruby 1.4.1 with native extensions  Fetching parser 2.5.1.2  Installing parser 2.5.1.2  Fetching i18n 1.1.0  Installing i18n 1.1.0  Fetching everypolitician-popolo 0.8.0  Installing everypolitician-popolo 0.8.0  Fetching faraday 0.15.2  Installing faraday 0.15.2  Fetching unf 0.1.4  Installing unf 0.1.4  Fetching pry 0.11.3  Installing pry 0.11.3  Fetching mime-types 3.1  Installing mime-types 3.1  Fetching nokogiri 1.8.4  Installing nokogiri 1.8.4 with native extensions  Using sqlite_magic 0.0.6 from https://github.com/openc/sqlite_magic.git (at master@4df975e)  Fetching rubocop 0.58.2  Using everypolitician 0.20.0 from https://github.com/everypolitician/everypolitician-ruby.git (at master@363f7ab)  Installing rubocop 0.58.2  Fetching faraday_middleware 0.12.2  Fetching domain_name 0.5.20180417  Installing faraday_middleware 0.12.2  Installing domain_name 0.5.20180417  Using wikisnakker 0.9.1 from https://github.com/everypolitician/wikisnakker.git (at master@72dbb8b)  Using scraperwiki 3.0.1 from https://github.com/openaustralia/scraperwiki-ruby.git (at morph_defaults@fc50176)  Fetching wikidata-client 0.0.12  Fetching http-cookie 1.0.3  Installing http-cookie 1.0.3  Installing wikidata-client 0.0.12  Fetching faraday-cookie_jar 0.0.6  Installing faraday-cookie_jar 0.0.6  Fetching rest-client 2.0.2  Installing rest-client 2.0.2  Fetching mediawiki_api 0.7.1  Installing mediawiki_api 0.7.1  Using wikidata-fetcher 0.21.0 from https://github.com/everypolitician/wikidata-fetcher.git (at master@7f6b035)  Bundle complete! 14 Gemfile dependencies, 48 gems now installed.  Gems in the groups development and test were not installed.  Bundled gems are installed into ./vendor/bundle.  Bundle completed (33.41s)  Cleaning up the bundler cache.  Warning: the running version of Bundler (1.15.2) is older than the version that created the lockfile (1.16.2). We suggest you upgrade to the latest version of Bundler by running `gem install bundler`. -----> Detecting rake tasks   -----> Discovering process types  Procfile declares types -> scraper Injecting scraper and running... /app/vendor/bundle/ruby/2.3.0/bundler/gems/wikidata-fetcher-7f6b035997ce/lib/wikidata.rb:72:in `rescue in sparql': Wikidata query SELECT ?item WHERE { ?item p:P39/ps:P39 wd:Q19803234 } failed: SSL_connect returned=1 errno=0 state=SSLv3 read server certificate B: certificate verify failed (RuntimeError) from /app/vendor/bundle/ruby/2.3.0/bundler/gems/wikidata-fetcher-7f6b035997ce/lib/wikidata.rb:68:in `sparql' from scraper.rb:7:in `<main>'

Data

Downloaded 1618 times by everypolitician ondenman chrismytton

To download data sign in with GitHub

Download table (as CSV) Download SQLite database (1.35 MB) Use the API

rows 0 / 0

Statistics

Average successful run time: 2 minutes

Total run time: 11 days

Total cpu time used: about 10 hours

Total disk space used: 1.39 MB

History

  • Auto ran revision b9d15488 and failed .
    nothing changed in the database
  • Auto ran revision b9d15488 and failed .
    nothing changed in the database
  • Auto ran revision b9d15488 and failed .
    nothing changed in the database
  • Auto ran revision b9d15488 and failed .
    nothing changed in the database
  • Auto ran revision b9d15488 and failed .
    nothing changed in the database
  • ...
  • Created on morph.io

Show complete history